update-manager crashed with StopIteration in uri()

Bug #839986 reported by segora on 2011-09-02
110
This bug affects 17 people
Affects Status Importance Assigned to Milestone
python-apt (Ubuntu)
Medium
Unassigned
update-manager (Ubuntu)
Medium
Colin Watson

Bug Description

update-manager see detail packages and bug

ProblemType: Crash
DistroRelease: Ubuntu 11.10
Package: update-manager 1:0.152.16
ProcVersionSignature: Ubuntu 3.0.0-9.15-generic 3.0.3
Uname: Linux 3.0.0-9-generic x86_64
NonfreeKernelModules: nvidia
Architecture: amd64
Date: Sat Sep 3 01:48:30 2011
ExecutablePath: /usr/bin/update-manager
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Beta amd64+mac (20110830)
InterpreterPath: /usr/bin/python2.7
PackageArchitecture: all
ProcCmdline: /usr/bin/python /usr/bin/update-manager
ProcEnviron:
 PATH=(custom, no user)
 LANG=fr_FR.UTF-8
 SHELL=/bin/bash
PythonArgs: ['/usr/bin/update-manager']
SourcePackage: update-manager
Title: update-manager crashed with StopIteration in uri()
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

segora (azzote) wrote :
tags: removed: need-duplicate-check
Changed in update-manager (Ubuntu):
status: New → Confirmed
RedSingularity (redsingularity) wrote :

Since there is no private info in this report, I am marking it public.
---
Ubuntu Bug Squad volunteer triager
http://wiki.ubuntu.com/BugSquad

visibility: private → public
RedSingularity (redsingularity) wrote :

Sorry for the delay. Are you still getting this error?
---
Ubuntu Bug Squad volunteer triager
http://wiki.ubuntu.com/BugSquad

Changed in update-manager (Ubuntu):
status: Confirmed → Incomplete
Felix (apoapo) wrote :

I encountered it today while refreshing my package cache.

RedSingularity (redsingularity) wrote :

If you run it like this from a terminal do you get the same error:

gksudo update-manager
---
Ubuntu Bug Squad volunteer triager
http://wiki.ubuntu.com/BugSquad

Launchpad Janitor (janitor) wrote :

[Expired for update-manager (Ubuntu) because there has been no activity for 60 days.]

Changed in update-manager (Ubuntu):
status: Incomplete → Expired
Saladien (saladien) wrote :

bug is still there in 12.04

Changed in update-manager (Ubuntu):
status: Expired → Confirmed
Changed in update-manager (Ubuntu):
importance: Undecided → Medium
Lucas Terra (lucasteandrade) wrote :

Yeah. Bug still there in Ubuntu 12.04. Seems to be working fine if I run gksudo update-manager.

papukaija (papukaija) on 2012-03-22
tags: added: i386
tags: added: precise

Hello, I have tested precise-dvd-amd64.iso (20120324) (md5sum:- 91637aa5907d621a0a6f0b41a98b79d2), on live usb persistent.

I have setting Update-manager as screencast attachment.

Update-manager is crashed.

Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/839986

tags: added: iso-testing
Colin Watson (cjwatson) wrote :

12:59 <cjwatson> mvo: bug 839986 looks like http://paste.ubuntu.com/900317/, but would you prefer to also change python-apt to return None from .uri in such cases? (That wouldn't fix the whole problem; _guess_third_party_changelogs_uri_by_source would still need a change anyway.) I don't know what you think is most correct here
13:05 <mvo> cjwatson: I think None makes sense
13:07 <cjwatson> mvo: want a python-apt task then?
13:07 <cjwatson> and I'll just apply the 'if not deb_uri:' part of that
13:07 <cjwatson> (to update-manager)
13:08 <mvo> cjwatson: a python-apt task for this would be nice, yes
13:08 <mvo> cjwatson: thanks, that sounds like a good approach

Changed in python-apt (Ubuntu):
status: New → Triaged
importance: Undecided → Medium
Changed in update-manager (Ubuntu):
status: Confirmed → Triaged
Colin Watson (cjwatson) wrote :

I've committed the update-manager side of this as discussed, but the python-apt fix will be necessary too.

Changed in update-manager (Ubuntu):
status: Triaged → Fix Committed
assignee: nobody → Colin Watson (cjwatson)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package update-manager - 1:0.156.10

---------------
update-manager (1:0.156.10) precise; urgency=low

  [ Michael Vogt ]
  * UpdateManager/Core/MyCache.py:
    - do not attempt to download changelogs from https locations if
      the uri requires credentials, thanks to Pat McGowan

  [ Colin Watson ]
  * UpdateManager/Core/MyCache.py:
    - Check that pkg.candidate.uri is not None when looking for changelogs
      (LP: #839986).
 -- Michael Vogt <email address hidden> Tue, 27 Mar 2012 13:44:40 +0200

Changed in update-manager (Ubuntu):
status: Fix Committed → Fix Released
Julian Andres Klode (juliank) wrote :

This was fixed sometime ago:

    @property
    def uri(self):
        """Return a single URI for the binary.

        .. versionadded:: 0.7.10
        """
        try:
            return iter(self._uris()).next()
        except StopIteration:
            return None

Changed in python-apt (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers